
ctools - Bug #1440

Unable to make single map exposure cube

03/10/2015 09:33 PM - Knödlseder Jürgen

Status: Closed Start date: 03/10/2015

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

The following attempt to make a single map exposure cube does not suceed:

$ ctexpcube

Event list or observation definition file [gps.xml]

Calibration database [aar]

Instrument response function [DESY20140105_50h]

Lower energy limit (TeV) [0.02] 1.0

Upper energy limit (TeV) [100.0] 1.0

Counts cube for exposure cube definition [NONE]

First coordinate of image center in degrees (RA or galactic l) (0-360) [0.0]

Second coordinate of image center in degrees (DEC or galactic b) (-90-90) [0.0]

Projection method (AIT|AZP|CAR|MER|MOL|STG|TAN) [CAR]

Coordinate system (CEL - celestial, GAL - galactic) (CEL|GAL) [GAL]

Image scale (in degrees/pixel) [0.02]

Size of the X axis in pixels [18000]

Size of the Y axis in pixels [500]

Number of energy bins [20] 1

*** ERROR encounterted in the execution of ctexpcube. Run aborted ...

*** ERROR in GSkymap::nmaps(int&): Invalid argument. At least one map is required in an GSkymap object. Please specify an

 argument >=1.

Related issues:

Related to GammaLib - Change request # 1441: Change GEbounds handling of empt... Closed 03/10/2015

History

#1 - 03/10/2015 09:33 PM - Knödlseder Jürgen

- Target version set to 1.0.0

#2 - 03/10/2015 10:00 PM - Knödlseder Jürgen

The culprit is here:

void GEbounds::append(const GEnergy& emin, const GEnergy& emax)

{

    // Continue only if energy interval is valid

    if (emax > emin) {

        // Insert interval

        insert_eng(m_num, emin, emax);

    } // endif: Energy interval was valid

    // Return

    return;

}

The logic implemented in GEbounds does not allow appending of empty energy boundaries.
#3 - 03/10/2015 11:09 PM - Knödlseder Jürgen

- Status changed from New to Resolved

- Assigned To set to Knödlseder Jürgen

Solved by #1441.

#4 - 06/29/2015 11:17 PM - Knödlseder Jürgen

- Status changed from Resolved to Closed
